Problems connecting to Odoo

Greetings, I recently wanted to connect to odoo but I have an error that I do not understand:

Could not ping the Odoo connection, e:`··· Error ···

⮚⮚⮚ Exception: 'Traceback (most recent call last):
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 865, in update_handle
self._invoke(service, channel)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 748, in _invoke
service.handle()
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/internal/outgoing/odoo.py”, line 108, in handle
with self.outgoing.odoo[item.name].conn.client() as client:
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/config.py”, line 75, in getitem
return self._impl.getitem(key)
KeyError: ‘admin’

⮚⮚⮚ File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 926, in update_handle
⮚⮚⮚ raise Exception(exc_formatted)

··· Details ···

Traceback (most recent call last):
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 892, in update_handle
response = set_response_func(service, data_format=data_format, transport=transport, **kwargs)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 703, in set_response_data
response = response.getvalue(serialize=kwargs.get(‘serialize’))
File “src/zato/cy/reqresp/payload.py”, line 202, in zato.cy.reqresp.payload.SimpleIOPayload.getvalue
File “src/zato/cy/reqresp/payload.py”, line 229, in zato.cy.reqresp.payload.SimpleIOPayload.getvalue
File “src/zato/cy/simpleio.py”, line 2159, in zato.simpleio.CySimpleIO.get_output
File “src/zato/cy/simpleio.py”, line 2138, in zato.simpleio.CySimpleIO._get_output_json
File “src/zato/cy/simpleio.py”, line 2118, in zato.simpleio.CySimpleIO._convert_to_dicts
File “src/zato/cy/simpleio.py”, line 2039, in _yield_data_dicts
zato.simpleio.SerialisationError: Required element info missing in {} (<class ‘zato.server.service.internal.outgoing.odoo.Ping’>)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/connection/http_soap/channel.py”, line 343, in dispatch
response = self.request_handler.handle(cid, url_match, channel_item, wsgi_environ,
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/connection/http_soap/channel.py”, line 705, in handle
response = service.update_handle(self._set_response_data, service, raw_request,
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 931, in update_handle
raise e
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 865, in update_handle
self._invoke(service, channel)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 748, in _invoke
service.handle()
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/internal/service.py”, line 507, in handle
response = func(
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 1072, in invoke
return self.invoke_by_impl_name(self.server.service_store.name_to_impl_name[zato_name], *args, **kwargs)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 1050, in invoke_by_impl_name
return self.update_handle(*invoke_args, **kwargs)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 926, in update_handle
raise Exception(exc_formatted)
Exception: Traceback (most recent call last):
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 865, in update_handle
self._invoke(service, channel)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/init.py”, line 748, in _invoke
service.handle()
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/service/internal/outgoing/odoo.py”, line 108, in handle
with self.outgoing.odoo[item.name].conn.client() as client:
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/config.py”, line 75, in getitem
return self._impl.getitem(key)
KeyError: ‘admin’

··· Context ···

25c96a8e9a8a1315c3acab93
2022-09-27T15:52:26.059651 (UTC)
Zato 3.2+rev.76a8477a-py3.8.10-ubuntu.20.04-focal`

I would like help with this.
The version of zato is shown in the error and I installed it two days ago.

Hello @Marlon,

this message may mean that the connection details that you use are possibly incorrect, e.g. the name of the database, user or the user’s password are incorrect.

Can you please confirm that they are all valid?

Regards.

Yes, I have already checked and tried with several bases and I still get that error.
I have installed zato on other ubuntu machines and have had no major problems, even now I have zato on an old cloud and it works perfectly.

I am not sure, do I understand it correctly that it is only this one environment where this exception happens when you ping the very same Odoo instance?

When you create a connection in the Dashboard, after you click OK, what are the messages that are shown in the server logs? Is there any indication that the connection was created or that it could not be created?

Greetings, sorry for the delay, I tried to reinstall from scratch both my server and zato but I still have the same error, when I register in the dash the odoo connection, in the log I get something like this:
2022-09-30 15:31:51,197 - ERROR - 3140:Dummy-104 - zato:0 - Could not handle broker message: (OUTGOING_ODOO_CREATE:100820) Bunch(action='100820', cluster_id=1, database='[NAME_BASE_ODOO]', host='[IP]', id=1, is_active=True, name='[NAME_CONNECTION]', old_name=None, opaque1=None, password='6c38842591a0446dbf038eb637f1fb52', pool_size=3, port=[PORT], protocol='xmlrpc', queue_build_cap=30000000.0, user='[USER_BASE_ODOO]'), e:`Traceback (most recent call last):
File “/opt/zato/3.2.0/code/zato-broker/src/zato/broker/init.py”, line 48, in on_broker_msg
func(msg)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/base/worker/init.py”, line 2135, in on_broker_msg_OUTGOING_ODOO_CREATE
self._on_broker_msg_cloud_create_edit(msg, ‘Odoo’, self.worker_config.out_odoo, OdooWrapper)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/base/worker/init.py”, line 2104, in _on_broker_msg_cloud_create_edit
wrapper = wrapper_class(msg, self.server)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/connection/odoo.py”, line 50, in init
self.client = ConnectionQueue(
TypeError: init() missing 1 required positional argument: ‘add_client_func’

When I add the password for the connection I get this:

2022-09-30 15:59:39,246 - ERROR - 3140:Dummy-185 - zato:0 - Could not handle broker message: (OUTGOING_ODOO_CHANGE_PASSWORD:100823) Bunch(action='100823', database='[NAME_BASE_ODOO]', host='[IP]', id=1, name='[NAME_CONNECTION]', password='[PASSWORD]', password1='zato.secf.gAAAAABjNxJrM5KlzH8BzaGY7Ui0I1J8h8Ics-TLXSYHEbP_TQpm-IO7zoBw1hp2VFf_2XMVJ1v1mtdVEVGugpt67R7UHCBcKw==', password2='zato.secf.gAAAAABjNxJrAtOul-xJpObBmqrA-UcHhy8RhH-zmJBgJr4jro7_ZuvpnfSqE3_t2SqF8fgNcxgR9hgYGF0dA9CTP2H0pdVLFg==', pool_size=3, port=[PORT], protocol='xmlrpc', queue_build_cap=30000000.0, salt=None, type_='', user='[USER_BASE_ODOO]'), e:`Traceback (most recent call last):
File “/opt/zato/3.2.0/code/zato-broker/src/zato/broker/init.py”, line 48, in on_broker_msg
func(msg)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/base/worker/init.py”, line 2135, in on_broker_msg_OUTGOING_ODOO_CREATE
self._on_broker_msg_cloud_create_edit(msg, ‘Odoo’, self.worker_config.out_odoo, OdooWrapper)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/base/worker/init.py”, line 2104, in _on_broker_msg_cloud_create_edit
wrapper = wrapper_class(msg, self.server)
File “/opt/zato/3.2.0/code/zato-server/src/zato/server/connection/odoo.py”, line 50, in init
self.client = ConnectionQueue(
TypeError: init() missing 1 required positional argument: ‘add_client_func’

Hello @Marlon,

please check it now with the latest Docker Quickstart image:

https://zato.io/en/docs/admin/guide/install/docker.html

Thanks.